
void MCP3421configure(uint8_t configData) {
  configRegShdw = configData;
  }

bool MCP3421testConnection() {
  Wire.beginTransmission(devAddr);
  return (Wire.endTransmission() == 0);
  }

bool MCP3421startConversion(void) {
  Wire.beginTransmission(devAddr);
  Wire.write(configRegShdw | MCP342X_RDY);
  return (Wire.endTransmission() == 0);
  }
 
uint8_t MCP3421getResult(int32_t *dataPtr) {
  uint8_t adcStatus;
  if((configRegShdw & MCP342X_SIZE_MASK) != MCP342X_SIZE_18BIT) {
    Serial.print(" error1 ") ;
    return 0xFF;
    }
  int millisStart=millis() ;
  int loopCnt=0 ;
  do {
     if(Wire.requestFrom((uint8_t) devAddr, (uint8_t) 4) == 4) {
       ((char*)dataPtr)[3] = Wire.read();
       ((char*)dataPtr)[2] = Wire.read();
       ((char*)dataPtr)[1] = Wire.read();
       adcStatus = Wire.read();
       }
      else 
       return 0xFF;
     loopCnt++ ;   
  } while((adcStatus & MCP342X_RDY) != 0x00);
  *dataPtr = (*dataPtr)>>8;
  return adcStatus;
  }
